##Installation

To install ABOSS you need to run setup.py, which downloads IMGT germlines automatically for you.
If you do not have root permissions, use the following commands to install ABOSS 

```
python setup.py install --user --install-scripts=~/bin

OR

python setup.py install --user

OR

python setup.py install --home="~"
```

## Prerequisites for the Installation.

You should have HMMER installed so that we can number your sequences. We tested the code with hmmer version 3.1b:

```
http://eddylab.org/software/hmmer3/3.1b2/hmmer-3.1b2.tar.gz
```

Put HMMER and muscle to your PATH variable

muscle (which is required to build HMM profiles) is supplied with ABOSS and upon installation muscle is put into the bin directory. Make sure the bin directory is in your PATH variable.

BioPython version 1.72 is required for ABOSS

All the python dependencies are listed in the REQUIREMENTS file that can be installed via:

```
sudo pip install -r REQUIREMENTS
```

It is adviseable to install the requirements in a separate virtual environment.

If during the requirements install you encounter a problem with existing 'six' install, issuing this 

```
sudo pip install six --ignore-installed six
```

and run again:

```
sudo pip install -r REQUIREMENTS
```
Depending on your system, you might have to install tkinter manually so that matplotlib works. For instance on ubuntu system this can be done by:

```
sudo apt-get install python-tk
```

